Loading...
Searching...
No Matches
cvec_t Struct Reference

Vector of real-valued phase and spectrum data. More...

`#include <cvec.h>`

## Data Fields

uint_t | length
| length of buffer = (requested length)/2 + 1
smpl_t * | norm
| norm array of size cvec_t.length
smpl_t * | phas
| phase array of size cvec_t.length

## Detailed Description

Vector of real-valued phase and spectrum data.

uint_t buffer_size = 1024;
// create a complex vector of 512 values
cvec_t * input = new_cvec (buffer_size);
// set some values of the vector
input->norm[23] = 2.;
input->phas[23] = M_PI;
// ..
// compute the mean of the vector
mean = cvec_mean(input);
// destroy the vector
del_cvec (input);
new_cvec
cvec_t * new_cvec(uint_t length)
cvec_t buffer creation function
del_cvec
void del_cvec(cvec_t *s)
cvec_t buffer deletion function
cvec_t
Vector of real-valued phase and spectrum data.
Definition cvec.h:63
cvec_t::norm
smpl_t * norm
norm array of size cvec_t.length
Definition cvec.h:65
cvec_t::phas
smpl_t * phas
phase array of size cvec_t.length
Definition cvec.h:66
uint_t
unsigned int uint_t
unsigned integer
Definition types.h:60

Examples
  spectral/test-fft.c, spectral/test-filterbank.c, spectral/test-filterbank_mel.c, spectral/test-mfcc.c, spectral/test-phasevoc.c, spectral/test-specdesc.c, spectral/test-tss.c, and test-cvec.c.

Definition at line 63 of file cvec.h.

## Field Documentation

## length

uint_t cvec_t::length

length of buffer = (requested length)/2 + 1

Examples
  test-cvec.c.

Definition at line 64 of file cvec.h.

## norm

smpl_t* cvec_t::norm

norm array of size cvec_t.length

Examples
  test-cvec.c.

Definition at line 65 of file cvec.h.

## phas

smpl_t* cvec_t::phas

phase array of size cvec_t.length

Examples
  test-cvec.c.

Definition at line 66 of file cvec.h.

The documentation for this struct was generated from the following file:

- cvec.h